Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Altro errore durante la compilazione
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
davedeth
Tux's lil' helper
Tux's lil' helper


Joined: 10 Mar 2010
Posts: 81
Location: Cesena

PostPosted: Thu Mar 24, 2011 6:35 am    Post subject: Reply with quote

Code:
eselect python list

Risultato:
Code:
Available Python interpreters:
[1] python2.6
[2] python3.1*
Back to top
View user's profile Send private message
pascalbrax
Apprentice
Apprentice


Joined: 21 Jan 2004
Posts: 280
Location: 127.0.0.1

PostPosted: Thu Mar 24, 2011 8:57 am    Post subject: Reply with quote

Code:
eselect python set 1

_________________
"One World, One web, One program" - Microsoft Promo ad.
"Ein Volk, Ein Reich, Ein Führer" - Adolf Hitler
Back to top
View user's profile Send private message
davedeth
Tux's lil' helper
Tux's lil' helper


Joined: 10 Mar 2010
Posts: 81
Location: Cesena

PostPosted: Thu Mar 24, 2011 10:42 am    Post subject: Reply with quote

Anche dando eselect python set 1 il pacchetto non si vuole proprio installare.
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Thu Mar 24, 2011 10:52 am    Post subject: Reply with quote

si, ma dopo aver selezionato il python corretto
credo tu debba fare un bel python-update
_________________
Darkman
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Thu Mar 24, 2011 3:59 pm    Post subject: Reply with quote

Quoto. Domanda da 1000 punti: se sei in ~arch, perché non hai python 2.7?
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1521
Location: Milan, Italy

PostPosted: Thu Mar 24, 2011 4:54 pm    Post subject: Reply with quote

pierino_89 wrote:
Quoto. Domanda da 1000 punti: se sei in ~arch, perché non hai python 2.7?


ci sono stati degli errori con gli ultimi stage in cui hai di default python3.

Lui probabilmente dopo aver scaricato lo stage è passato a ~arch ma non ha fatto un emerge -e world
Back to top
View user's profile Send private message
davedeth
Tux's lil' helper
Tux's lil' helper


Joined: 10 Mar 2010
Posts: 81
Location: Cesena

PostPosted: Thu Mar 24, 2011 5:01 pm    Post subject: Reply with quote

Non ho dato emerge -e world ma comunque un emerge world si.
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Thu Mar 24, 2011 5:07 pm    Post subject: Reply with quote

Beh, c'è una grossa differenza fra i due... Se io lanciassi emerge world ricompilerei circa 200 pacchetti contro i 1000 e più che ricompilerei con -e. Questo perché emerge world tralascia tutte le dipendenze.
In ogni caso, dopo aver switchato a python 2.6 ed aver lanciato (e completato correttamente) python-updater, l'aggiornamento di tutto il sistema con emerge -DuNav world dovrebbe filare liscio. A questo punto il sistema dovrebbe essere tornato consistente.
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1521
Location: Milan, Italy

PostPosted: Thu Mar 24, 2011 6:08 pm    Post subject: Reply with quote

davedeth wrote:
Non ho dato emerge -e world ma comunque un emerge world si.


Se ti interessava riportare il sistema stabile, forse sei ancora in tempo...
Code:
ACCEPT_KEYWORDS="x86" emerge -DuNpv world
cosa ti da?
Back to top
View user's profile Send private message
davedeth
Tux's lil' helper
Tux's lil' helper


Joined: 10 Mar 2010
Posts: 81
Location: Cesena

PostPosted: Thu Mar 24, 2011 10:42 pm    Post subject: Reply with quote

Quote:
Se ti interessava riportare il sistema stabile, forse sei ancora in tempo...

Ora come ora un po' mi interessa visto che la compilazione di kde-meta si è interrotta ancora -.-
Ma non farei prima a mettere un bel # accanto a ACCEPT_KEYWORDS="~86" nel make.conf?
E la roba installata finora installata verrebbe cancellata con
Code:
emerge -DuNpv world
?
Mal che vada reinstallo tutto da stage3 che bene o male ci metto giusto un'oretta e un po'.
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 522

PostPosted: Thu Mar 24, 2011 10:51 pm    Post subject: Reply with quote

Per tornare a stable fai prima a ripartire da capo facendo un merge delle configurazioni in /etc (se hai qualcosa) e sperando che le configurazioni in /home piacciano ancora ai programmi desktop. Io l'ultima volta che ho cercato di tornare a stable non ci sono riuscito e ho perso 2 giorni.

Comunque non farti idee strane, avendo come versione di python predefinita la 3, la compilazione di kde si sarebbe piantata anche in stable.
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
davedeth
Tux's lil' helper
Tux's lil' helper


Joined: 10 Mar 2010
Posts: 81
Location: Cesena

PostPosted: Fri Mar 25, 2011 6:13 am    Post subject: Reply with quote

Allora buona notte ai suonatori e sto fine settimana formatto baracca e burattini e torno su stable. Almeno questa esperienza mi ha fatto capire che su gentoo se una cosa è marcata come instabile lo è davvero. Grazie infinite a tutti per il tempo che mi avete dedicato.
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Fri Mar 25, 2011 8:14 am    Post subject: Reply with quote

beh, secondo me non bisogna nemmeno esser così drastici.
talvolta ci sono pacchetti "instabili" che funzionano alla grande. ad esempio, io uso kde 4.6.0 (pacchetto segnato con "~") e secondo me va alla grande.
l'importante, secondo me, è NON avere tutto il sistema "instabile" e mascherare di volta in volta solo i pacchetti strettamente necessari.
_________________
Darkman
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Fri Mar 25, 2011 8:27 am    Post subject: Reply with quote

il problema vero è che avere tutto il sistema ~ ti espone ad eventuali inconsistenze e incompatibilità che se non si sanno affrontare portano a sistemi non funzionanti e a perdite di tempo.
Il processo di stabilizzazione è tale per cui ti viene garantito che un pacchetto sia perfettamente adeguato a tutto il resto del parco software stabile.
Inoltre un conto è avere la versione ~ di un qualche applicativo (es. openoffice, firefox...) che, se proprio ti va male, non funzionano e altro ordine di problemi è avere il sistema base e la toolchain instabili: questo sì che può portare guai.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum